const { defineConfig } = require("cypress");

module.exports = defineConfig({
  e2e: {
    setupNodeEvents(on, config) {
      // https://github.com/archfz/cypress-terminal-report
      const options = {
        printLogsToConsole: "always",
      }
      require('cypress-terminal-report/src/installLogsPrinter')(on, options);
    },
  },
  // We have some slow calls to load the list of apps, users etc.
  defaultCommandTimeout: 10000,
  videoCompression: false,
  videoUploadOnPasses: false
});
